Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Benutzerdefinierte Eigenschaften übertragen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Benutzerdefinierte Eigenschaften übertragen (2176 mal gelesen)
Wahui
Mitglied
Konstrukteur/Entwickung


Sehen Sie sich das Profil von Wahui an!   Senden Sie eine Private Message an Wahui  Schreiben Sie einen Gästebucheintrag für Wahui

Beiträge: 14
Registriert: 16.02.2009

Dell M4800
Windows 7 Professional x64
Intel(R) Core i7 @ 2,8GHz
NVIDIA Quadro K1000M
16GB RAM
SWX 2014 Premium x64 SP2

erstellt am: 19. Mai. 2015 10:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

gibt es eine Möglichkeit in SWX auf ein Zeichnungsdokument die benutzerdefinierte Eigenschaften des referenzierten Parts/ der Baugruppe zu übertragen?
Konkret geht es dabei um die Eigenschaft "Sachnummer", welche bei Teil/BG und Zeichnung identisch sein sollen um anschließend beide Dateien unter den entsprechenden Nummern als Dateiname zu speichern.
Momentan ist mein Gedanke, bei geöffneter Zeichnung ein  Makro laufen zu lassen, welches aus der referenzieren Datei die Eigenschaft ausließt und in die Zeichnung schreibt. Anschließend werden beide Dateien unter der Sachnummer abgespeichert.
Mit folgendem Code funktioniert das schon einmal aus dem Bauteil heraus

Code:
Dim swApp As SldWorks.SldWorks
Dim Part As DrawingDoc
Dim swModel As SldWorks.ModelDoc2
Dim Sachnummer As String

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc

If Part Is Nothing Then
    Call MsgBox("Keine Datei geöffnet", vbOKOnly, "Information")
    Exit Sub
End If

Sachnummer = swModel.CustomInfo("Sachnummer")

'If swModel.CustomInfo("Sachnummer") Is Nothing Then
    'Call MsgBox("Keine Sachnummer eingetragen", vbOKOnly, "Information")
    'Exit Sub
'End If

swModel.SaveAs (Sachnummer + ".sldprt")

End Sub


Nur für obige Vorgehensweise fehlt mir der Ansatz.

Dennis

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8748
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 19. Mai. 2015 10:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wahui 10 Unities + Antwort hilfreich

Hallo Wahui,

du musst dir in deinem Code heraussuchen, welcher View im Blatt als Referenz angegeben ist, dann das referenzierte Modell dieser Zeichenansicht holen und dessen Eigenschaften auslesen.

Schau mal in die Beiträge Abfrage einer Modell-Dateieigenschaft in Zeichnungen und für das herausfinden, welches Modell überhaupt in einem Blatt referenziert ist in das Beispiel API: referenziertes Modell der Zeichnung ermitteln.

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite    http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Wahui
Mitglied
Konstrukteur/Entwickung


Sehen Sie sich das Profil von Wahui an!   Senden Sie eine Private Message an Wahui  Schreiben Sie einen Gästebucheintrag für Wahui

Beiträge: 14
Registriert: 16.02.2009

Dell M4800
Windows 7 Professional x64
Intel(R) Core i7 @ 2,8GHz
NVIDIA Quadro K1000M
16GB RAM
SWX 2014 Premium x64 SP2

erstellt am: 19. Mai. 2015 16:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stefan,
danke für die Hilfe. Ich habe das Makro mal "fertig" gestellt. Nicht ganz einfach für einen Noob. Aber es funktioniert!

Das Makro überträgt die Sachnummer (Syntax XXX-XXXX) aus den benutzerdefinierten Eigenschaften des Bauteils.
Speichert Bauteil oder BG unter der Sachnummer ab.
Speichert die Zeichnung unter der Sachnummer ab.
Legt ein PDF der Zeichnung unter einem Pfad, welcher von der Sachnummer abhängt, ab.

Ist der Aufbau sinnvoll?

Code:

Dim swApp As Object

' Definitionen sind konsistent mit dem Typennamen
' wie in \SldWorks\samples\appComm\swconst.bas definiert

Const swDocPART = 1
Const swDocASSEMBLY = 2
Const swDocDRAWING = 3

Sub Artikel_einchecken()

' **********************************************************************
' * Beispielcode: Das Makro sucht für die aktive Zeichnung (aktuelles
' * Blatt) das referenzierte Modell raus. Dazu wird aus den
' * Blatteigenschaften gelesen, welche Zeichenansichten das
' * referenzierte Modelle enthalten soll, Standard bedeutet einfach der
' * erste eingefügte View
' *
' * Quelle http://ww3.cad.de/foren/ubb/Forum2/HTML/021310.shtml#000000
' * StefanBerlitz @ cad.de
' **********************************************************************
 
    Dim swApp          As Object
    Dim DrawingDoc      As Object
    Dim Sheet          As Object
    Dim View            As Object
    Dim RefModelView    As String
    Dim RefModelName    As String
 

    ' an die laufende SolidWorks Sitzung anhängen
    Set swApp = Application.SldWorks
 
    ' prüfen, ob überhaupt ein Dokument offen ist ...
    Set DrawingDoc = swApp.ActiveDoc
    If DrawingDoc Is Nothing Then
        MsgBox "Kein Dokument offen"
        Exit Sub
    End If
    ' ... und ob das auch eine Zeichnung ist
    If (DrawingDoc.GetType <> swDocDRAWING) Then
        MsgBox "Nur für Zeichnungen sinnvoll"
        Exit Sub
    End If

    ' dann schauen wir mal nach dem aktuellen Blatt
    Set Sheet = DrawingDoc.GetCurrentSheet
 
    ' von dem Blatt schauen wir uns die Zeichenansicht aus, die auch für
    ' Dateieigenschaften zuständig ist
    RefModelView = Sheet.CustomPropertyView
 
    ' dann durch die Zeichenansichten durchklappern, bis der gewünschte
    ' View gefunden wurde. Dazu einfach die Namen vergleichen.
    ' "Standard" bedeutet der erste View
    Set View = DrawingDoc.GetFirstView

    ' muss für nicht deutsches Englisch angepasst werden
    If RefModelView = "Standard" Then
        ' dann brauchen wir nur auf den ersten View zu springen
        Set View = View.GetNextView
    Else
        ' ansonsten solange weiterklappern bis wir den passenden
        ' View gefunden haben
        Do While Not View Is Nothing
            ' nächste Zeichenansicht
            Set View = View.GetNextView
                     
            ' bis wir den passenden View gefunden haben
            If View.GetName2 = RefModelView Then Exit Do
        Loop
    End If
    ' so jetzt sollte die Ansicht mit dem referenzierten Modell aktiv sein
    If Not View Is Nothing Then
        RefModelName = View.GetReferencedModelName   
    Else
        ' oh, dann gibt es den View nicht, leere Zeichnung?
        MsgBox "Kein referenziertes Modell gefunden, Zeichnung leer?"
    End If
   
   
'***************************************************************************************
'*Sucht im referenziertem Bauteil nach der Sachnummer
'*Quelle http://ww3.cad.de/foren/ubb/Forum2/HTML/013243.shtml#000001
'*tbd @ cad.de
'***************************************************************************************
   
Dim oDrawingDoc As SldWorks.DrawingDoc
Dim oView As SldWorks.View
Dim sModelName As String
Dim oSwPartModel As SldWorks.ModelDoc2
Dim oSwViewPartModel As SldWorks.ModelDoc2

Set oSwApp = Application.SldWorks
Set oSwModel = oSwApp.ActiveDoc
Set oDrawingDoc = oSwModel
'Das ist das Blatt
Set oView = oDrawingDoc.GetFirstView()
'Die erste Ansicht im Blatt
Set oView = oView.GetNextView
'Dokument der Ansicht
sModelName = oView.GetReferencedModelName

'Jetzt hast du einen Pfad und kannst in den geöffneten ModelDocs nach dem richtigen Suchen.
Set oSwPartModel = oSwApp.GetFirstDocument
Do While Not oSwPartModel Is Nothing
  'Haben wir das richtige ModelDoc?
  If oSwPartModel.GetPathName = sModelName Then
      'Gefunden!
      Set oSwViewPartModel = oSwPartModel
      Exit Do
  End If
  Set oSwPartModel = oSwPartModel.GetNext
Loop

'Dokumenteneigenschaft
If Not oSwViewPartModel Is Nothing Then
  Index = oSwViewPartModel.CustomInfo2(glbConfName, "Sachnummer")
End If

'***************************************************************************************
'*Ermittelt, ob Baugruppe oder Bauteil auf Zeichnung abgebildet ist.
'*Speichert Bauteil/BG unter der, in den Benutzerdefinierten Eigenschaften gespeicherten Sachnummer
'*Quelle http://www.mysldworks.de/Details.aspx?ThemaID=14&SnippetID=104
'*Daniel Bühling @ mysolidworks.de
'***************************************************************************************

Dim sExtension As String
Dim Dateiendung As String

sFullpath = oSwViewPartModel.GetPathName
sExtension = Right(sFullpath, Len(sFullpath) - InStrRev(sFullpath, "."))

oSwViewPartModel.SaveAs (Index + "." + sExtension)


'***************************************************************************************
'*Speichert Zeichnung unter der, in den Benutzerdefinierten Eigenschaften gespeicherten Sachnummer
'***************************************************************************************

oDrawingDoc.SaveAs (Index + ".slddrw")

'***************************************************************************************
'*Zerlegt den Dateinamen (Sachnummer) in seine Bestandteile
'*damit später der Ordner unter der Sachnummer angelegt werden kann
'*Quelle http://www.herber.de/forum/archiv/612to616/612774_Einen_String_Zerlegen.html
'*UweD @ herber.de
'***************************************************************************************

Dim Dateiname As String
Dim Eingabe As String
Dim Laufwerk As String
Dim Pfad As String
Dim Var1, Var2 As String
Dim P1 As Integer
Dim Part As Object

Laufwerk = "C:\Temp\" 'der Pfad kann angepasst werden
Dateiname = oSwViewPartModel.CustomInfo2(glbConfName, "Sachnummer")

    P1 = InStr(Dateiname, "-") 'Pos vom Trennstrich
    Var1 = Left(Dateiname, P1 - 1)
    Var2 = Mid(Dateiname, P1 + 1)
   
    Pfad = Laufwerk & Var1 & "\" & Var1 & "-" & Var2 & "\"
   
   
'***************************************************************************************
'*Überprüfung ob Order bereits existiert. Wenn ja, dann den Dateipfad im Explorer aufrufen.
'*Box mit Dateinamen-Abfrage anzeigen.Wenn er nicht existiert, den Dateipfad erzeugen.
'*Quelle http://www.herber.de/forum/archiv/372to376/372604_Per_VBA_Ordner_anlegen.html
'*K.Rola @ herber.de
'*Funktioniert nur, wenn nur noch der unterste Ordner anzulegen ist. Sonst Schleife nötig
'***************************************************************************************


If Dir(Pfad, vbDirectory) <> "" Then
    Shell "Explorer.exe " & Pfad, vbNormalFocus
    Eingabe = InputBox("Bitte Dateiname für PDF-Datei eingeben:", "Als PDF speichern", Dateiname + ".pdf")
   
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    swApp.ActiveDoc.ActiveView.FrameState = 1

    Part.SaveAs2 Pfad + Eingabe, 0, True, False
Else
    MkDir (Pfad)
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    swApp.ActiveDoc.ActiveView.FrameState = 1

    Part.SaveAs2 Pfad + "\" + Dateiname + ".pdf", 0, True, False
End If

End Sub


Gruß

Dennis

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2124
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 19. Mai. 2015 19:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wahui 10 Unities + Antwort hilfreich

Hallo Dennis,

von mir gibt es schon mal 10 Ü's dafür das du dein Ergebnis gepostet hast und zweitens für die guten Quellenangaben in deinem Makro, dass jeder es leicht nach vollziehen kann bzw. auch Hintergrund Informationen dazu bekommt.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Wahui
Mitglied
Konstrukteur/Entwickung


Sehen Sie sich das Profil von Wahui an!   Senden Sie eine Private Message an Wahui  Schreiben Sie einen Gästebucheintrag für Wahui

Beiträge: 14
Registriert: 16.02.2009

Dell M4800
Windows 7 Professional x64
Intel(R) Core i7 @ 2,8GHz
NVIDIA Quadro K1000M
16GB RAM
SWX 2014 Premium x64 SP2

erstellt am: 28. Jan. 2016 09:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

beim Arbeiten mit dem Makro ist mir folgender Fehler aufgefallen. Teilweise werden Teil/BG und Zeichnung beim Speichern unter einem völlig falschen Pfad abgelegt.
Warum? Der Speicherpfad wird doch aus dem referenzierten Modell ermittelt. Ich habe das Gefühl, dass der unter Windows zuletzt verwendete Speicherpfad abgegriffen wird. Das Problem tritt nur auf, wenn Bauteil und Zeichnung aktuell noch nicht gespeichert wurden.
Lässt sich dies verhindern?

Zitat:
Original erstellt von Wahui:

'***************************************************************************************
'*Ermittelt, ob Baugruppe oder Bauteil auf Zeichnung abgebildet ist.
'*Speichert Bauteil/BG unter der, in den Benutzerdefinierten Eigenschaften gespeicherten Sachnummer
'*Quelle http://www.mysldworks.de/Details.aspx?ThemaID=14&SnippetID=104
'*Daniel Bühling @ mysolidworks.de
'***************************************************************************************

Dim sExtension As String
Dim Dateiendung As String

sFullpath = oSwViewPartModel.GetPathName
sExtension = Right(sFullpath, Len(sFullpath) - InStrRev(sFullpath, "."))

oSwViewPartModel.SaveAs (Index + "." + sExtension)


'***************************************************************************************
'*Speichert Zeichnung unter der, in den Benutzerdefinierten Eigenschaften gespeicherten Sachnummer
'***************************************************************************************

oDrawingDoc.SaveAs (Index + ".slddrw")


Gruß
Dennis

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8748
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 28. Jan. 2016 10:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wahui 10 Unities + Antwort hilfreich

Hallo Dennis,

Zitat:
Original erstellt von Wahui:
Warum? Der Speicherpfad wird doch aus dem referenzierten Modell ermittelt. Ich habe das Gefühl, dass der unter Windows zuletzt verwendete Speicherpfad abgegriffen wird. Das Problem tritt nur auf, wenn Bauteil und Zeichnung aktuell noch nicht gespeichert wurden.

Ja, wenn ich das richtig sehe wird der Pafd zwar in dem Bereich abgefragt, aber anschließend nicht weiter benutzt (außer zum Ermitteln der Endung :) ); du müsstest also in den Zeilen

oSwViewPartModel.SaveAs (Index + "." + sExtension)

noch den Pfad mit reinbringen, unter dem gespeichert werden soll. Und da kein Pfad angegeben wird nimmt SolidWorks dann das aktuelle Arbeitsverzeichnis.

Du solltest also dort auch einen Pfad angeben, entweder als statischen Pfad (wie ja im unteren Teil des Makros) oder so ähnlich wie die Extension den Pfadteil rausschneiden. Das könnte so aussehen:

Code:

    Komplettname = swModel.GetPathName
    nurPfad = Left(Komplettname, InStrRev(Komplettname, "\"))


    oSwViewPartModel.SaveAs (nurPfad + Index + "." + sExtension)


Das wird allerdings bei Dokumenten, die noch nie gespeichert wurden, etwas tricky. Du kannst keinen Pfad auslesen, weil es den schlichtweg noch nicht gibt und GetPathName einen leeren String zurückliefert.
Das musst du eben dann prüfen, ob das leer ist und wenn ja, entweder nach einem Ablageverzeichnis fragen oder eins hart festlegen.

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite    http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KMassler
Ehrenmitglied V.I.P. h.c.
CAD Admin + Mädchen für Alles...



Sehen Sie sich das Profil von KMassler an!   Senden Sie eine Private Message an KMassler  Schreiben Sie einen Gästebucheintrag für KMassler

Beiträge: 2616
Registriert: 06.11.2000

** CSWP 01/2008 **
HP Z440, 16GB, Quadro K2200;
SWX2016 SP4;
SAP/PLM;
DriveWorks Pro;
Programmierung: VBA, Relikte mit VB6, aktuell VB.NET 2015

erstellt am: 28. Jan. 2016 16:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wahui 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von bk.sc:
Hallo Dennis,

von mir gibt es schon mal 10 Ü's dafür das du dein Ergebnis gepostet hast und zweitens für die guten Quellenangaben in deinem Makro, dass jeder es leicht nach vollziehen kann bzw. auch Hintergrund Informationen dazu bekommt.

Gruß
Bernd


Dem schließe ich mich vollumfänglich an 
Leider wird das nicht auf mich abfärben 

------------------
Klaus

www.al-ko.com | mein Gästebuch

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2124
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 29. Jan. 2016 06:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Wahui 10 Unities + Antwort hilfreich

Hallo Klaus,

Zitat:
Leider wird das nicht auf mich abfärben

bei dir ist das ja nur halb so schlimm mit den mangelnden Quellenangaben etc., weil dich kann man im Zweifel ja hier sehr gut ausfindig machen um dich mit Fragen zu löchern  .

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Wahui
Mitglied
Konstrukteur/Entwickung


Sehen Sie sich das Profil von Wahui an!   Senden Sie eine Private Message an Wahui  Schreiben Sie einen Gästebucheintrag für Wahui

Beiträge: 14
Registriert: 16.02.2009

Dell M4800
Windows 7 Professional x64
Intel(R) Core i7 @ 2,8GHz
NVIDIA Quadro K1000M
16GB RAM
SWX 2014 Premium x64 SP2

erstellt am: 29. Jan. 2016 08:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stefan,
danke für die Hilfe!
Klar, ich bin immer wieder die Schritte des Makros durchgegangen, habe aber auch immer wieder übersehen, dass nur Dateierweiterung verwendet wird.
Das Objekt und Zeichnung noch gar nicht gespeichert wurden, passiert eher nicht. Wir benutzen in der Entwicklungsphase einen Nummerngenerator oder sprechende Namen und erst wenn alles klar ist werden die Artikelnummern vergeben. In diesem Schritt wird dann das Makro angewendet.

Die Quellenangaben und Kommentare in meinen Makros sind auch für mich unheimlich wichtig. Als Dummy in Sachen Programmierung fällt es mir nach einem halben Jahr schon wieder schwer zu verstehen, was ich da getrieben habe. Das meiste ist ja eh zusammen kopiert und leicht an unsere Bedürfnisse angepasst. Von daher profitiere ich sehr von der Arbeit anderer. Ganz speziell auch von den hier Schreibenden.
Danke!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz